Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class PostulanteEvaluacionesDbHelper
    Inherits DbHelper(Of PostulanteEvaluaciones,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListPostulanteEvaluacionesByConcursoPostulante(ByVal idConcursoPostulante as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteEvaluaciones)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idConcursoPostulante = idConcursoPostulante
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListPostulanteEvaluacionesByConfiguracionCalificacion(ByVal idConfiguracionCalificacion as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteEvaluaciones)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idConfiguracionCalificacion = idConfiguracionCalificacion
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
